%define	xfontdir_	%{_datadir}/fonts/zh_TW
%define	xfontdir	%{xfontdir_}/TrueType
%define	gslibdir	%{_datadir}/ghostscript/%(echo `gs --version`)/lib
%define	gsver		7.06

Summary: Arphic TrueType Font -- Big5 ming and kai face.
Name:		ttfonts-zh_TW
Version:	2.11
Release: 28
License:	Arphic Public License (GPL-like)
Group:		User Interface/X
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Source:		ftp://cle.linux.org.tw/pub/fonts/arphic/font/bsmi00lp.ttf
Source1:	ftp://cle.linux.org.tw/pub/fonts/arphic/font/bkai00mp.ttf
Source2:	arphicpl.txt
Source3:	arphicpl-big5.txt
Source4:	arphic-release.txt
Source5:	CIDFnmap.zh_TW

BuildRequires:	ghostscript >= %{gsver}
Requires(post,postun): ttmkfdir >= 3.0.6
Requires(post,postun): /usr/X11R6/bin/mkfontdir /usr/sbin/chkfontpath
Requires(post,postun): fontconfig
Obsoletes:	ttf-moe_sung ttf-moe_kai ttf-arphic_bming ttf-arphic_bkai

%description
Chinese TTF Fonts donated by Arphic company. Read the Arphic Public
License for details.

%prep

%build
mkdir -p %{name}-%{version}/doc

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{xfontdir}
install -m 0644 %{SOURCE0} $RPM_BUILD_ROOT%{xfontdir}/
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{xfontdir}/

# for ghostscript
install -d $RPM_BUILD_ROOT%{gslibdir}
install -m 0644 %{SOURCE5} $RPM_BUILD_ROOT%{gslibdir}/

cp %{SOURCE2} %{SOURCE3} $RPM_BUILD_DIR/%{name}-%{version}/doc/
cp %{SOURCE4} $RPM_BUILD_DIR/%{name}-%{version}/doc/release.txt

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
{
	umask 133
	touch %{xfontdir} 2> /dev/null && {
		/usr/bin/ttmkfdir -d %{xfontdir} -o %{xfontdir}/fonts.scale
		/usr/X11R6/bin/mkfontdir %{xfontdir}
		/usr/sbin/chkfontpath -q -a %{xfontdir}
	}

	touch %{_sysconfdir} 2> /dev/null && {
		#Update Gnome Fonts
		if [ -x /usr/bin/redhat-update-gnome-font-install ]; then
		    /usr/bin/redhat-update-gnome-font-install
		fi
		if [ -x /usr/bin/redhat-update-gnome-font-install2 ]; then
		    /usr/bin/redhat-update-gnome-font-install2
		fi
	}

	#Update fontconfig cache
	[  -x /usr/bin/fc-cache ] && HOME=/ /usr/bin/fc-cache %{_datadir}/fonts 2> /dev/null
}

%postun
if [ "$1" = 0 ];
then
    umask 133
    /usr/sbin/chkfontpath -q -r %{xfontdir}
    touch %{_sysconfdir} 2> /dev/null && {
      #Update Gnome Fonts
      if [ -x /usr/bin/redhat-update-gnome-font-install ]; then
          /usr/bin/redhat-update-gnome-font-install
      fi
      if [ -x /usr/bin/redhat-update-gnome-font-install2 ]; then
          /usr/bin/redhat-update-gnome-font-install2
      fi
    }

    #Update fontconfig cache
    [ -x /usr/bin/fc-cache ] && HOME=/ /usr/bin/fc-cache %{_datadir}/fonts 2> /dev/null
fi

%files
%defattr(-, root, root, -)
%doc $RPM_BUILD_DIR/%{name}-%{version}/doc/
%attr(0755, root, root) %dir %{xfontdir_}
%attr(0755, root, root) %dir %{xfontdir}
%{xfontdir}/*ttf
%{gslibdir}/CIDFnmap.zh_TW

%changelog
* Wed Aug 04 2004 Leon Ho <llch@redhat.com
- make sure fc-cache is running at paraent dir

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 16 2004 Mike A. Harris <mharris@redhat.com> 2.11-26
- Removed bogus hard coded dep on XFree86-xfs which was probably added a long
  time ago for mkfontdir et al.
- Changed PreReq lines to use new rpm syntax Requires(post,postun) which is
  more robust, and updated the entries to contain what is called in the post
  and postun scripts
- Added umask 133 to rpm scripts to ensure font metadata files are created with
  the proper permissions

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com> 2.11-25
- rebuilt

* Thu Feb 05 2004 Akira TAGOH <tagoh@redhat.com> 2.11-24
- removed default*.font because it's no longer used.
- fixed %%post and %%postun to check real writable for nfs mount.

* Tue Jul 08 2003 Leon Ho <llch@redhat.com>
- rebuilt

* Thu May 22 2003 Jeremy Katz <katzj@redhat.com> 2.11-22
- rebuild with new ghostscript

* Thu Apr 10 2003 Akira TAGOH <tagoh@redhat.com> 2.11-21
- rebuild to install CIDFnmap to libdir of ghostscript 7.06.

* Tue Apr 01 2003 Akira TAGOH <tagoh@redhat.com> 2.11-20
- add CIDFnmap for ghostscript.

* Fri Jan 31 2003 Leon Ho <llch@redhat.com> 2.11-19
- no output when upgrading

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jan 15 2003 Leon Ho <llch@redhat.com> 2.11-17
- Update to the new spec format

* Thu Dec 12 2002 Tim Powers <timp@redhat.com> 2.11-16
- rebuild

* Fri Aug 30 2002 Alexander Larsson <alexl@redhat.com> 2.11-15
- Call fc-cache from %%post, prereq fontconfig

* Tue Jul 16 2002 Leon Ho <llch@redhat.com>
- add redhat-update-gnome-font-install2 for libgnomeprint

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Jun 05 2002 Leon Ho <llch@redhat.com>
- prevent using ttmkfdir generated fonts.dir
- disable iso8859-1

* Thu Apr 04 2002 Leon Ho <llch@redhat.com>
- update mkfontdir

* Thu Mar 14 2002 Leon Ho <llch@redhat.com>
- change from update-gnome-font-install to redhat-update-gnome-font-install

* Tue Feb 19 2002 Leon Ho <llch@redhat.com>
- updated license
- rebuild for new tree

* Tue Feb 19 2002 Leon Ho <llch@redhat.com>
- updated with new Prereq
- rebuild for new release

* Mon Dec 03 2001 Leon Ho <llch@redhat.com>
- add update-gnome-font-install for gnome-print

* Wed Nov 28 2001 Leon Ho <llch@redhat.com>
- created new definitions

* Mon Aug  6 2001 Tim Powers <timp@redhat.com>
- rebuilt to fix bug #50761

* Tue Jul 24 2001 Akira TAGOH <tagoh@redhat.com> 2.11-4
- Added default font for Nautilus.

* Sun Jul  8 2001 Yukihiro Nakai <ynakai@redhat.com>
- Fix for the error at %%post

* Wed Jul  4 2001 Akira TAGOH <tagoh@redhat.com> 2.11-2
- use rpmmacros.
- added fonts.scale file.
- fixed font path from /usr/share/fonts/ttf to /usr/share/fonts/zh_TW/TrueType.
- added chkfontpath stuff.

* Thu Jun 28 2001 Yukihiro Nakai <ynakai@redhat.com>
- Unify 2 big5 truetype fonts

* Wed Jun 27 2001 Yukihiro Nakai <ynakai@redhat.com>
- Rebuild for RHL 7.2

* Fri Jan 14 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- update 2.11

* Wed Jan 12 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- add PreReq to fix default font problem

* Wed Jan 05 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- change the license to docdir by using %docdir directive
- fix bug in %post and %preun script

* Tue Jan 04 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- first release
